Distribution:	CCux
Packager:  	Karsten Brockmann <brockmka@rz.fh-augsburg.de>
Summary:   	pcre - perl compatible regular expressions
Name:      	pcre
Version:   	7.8
Release:   	1
Provides:	pcre
License: 	GNU/GPL
URL:		http://www.pcre.org
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  libstdc++-devel


%description
The PCRE library is a set of functions that implement regular expression pattern matching using the same syntax and semantics as Perl 5. PCRE has its own native API, as well as a set of wrapper functions that correspond to the POSIX regular expression API. The PCRE library is free, even for building commercial software.


%package devel
Summary:        Development files for pcre
Group:          System/Libraries
Requires:       pcre = %{version}-%{release}

%description devel
Header files for developing applications using pcre

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}


%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --enable-utf8 --enable-unicode-properties 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%exclude %{_includedir}/*
%_bindir/pcregrep
%_bindir/pcretest
%_libdir/*.so.*
%_mandir/man1/*
%_mandir/man3/*
%_docdir

%files devel
%defattr(-,root,root)
%_bindir/pcre-config
%_libdir/pkgconfig/libpcre.pc
%_libdir/pkgconfig/libpcrecpp.pc
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_includedir/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.8-1
- Version update
* Wed May 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.7-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.6-1
- Version update
* Sat Jan 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.5-1
- Version update
* Tue Nov 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.4-1
- Version update
* Tue Aug 28 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.3-1
- Version update
- enabled unicode properties
* Wed Dec 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.0-1
- Version update
* Sat Sep 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.7-2
- added unicode support
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.7-1
- Version Update
* Mon Feb 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.6-1
- Version Update
* Sun Sep 18 2005 Christian Metzen <metzench@ccux-linux.de> 6.4-2
- Moved more files to devel package
* Sat Sep 17 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 6.4-1
- rebuilt SRPM, version update to 6.4
